#
# Conditional build:
%bcond_with	tests		# build without tests

Summary:	ACPI Component Architecture - an assembler and disassembler for DSDT tables
Summary(pl.UTF-8):	ACPI CA - asembler i disasembler dla tablic DSDT
Name:		acpica
Version:	20141107
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	https://acpica.org/sites/acpica/files/%{name}-unix2-%{version}.tar.gz
# Source0-md5:	af9f1e67023fa85f9d6abf28b5345abd
Source1:	https://acpica.org/sites/acpica/files/acpitests-unix-%{version}.tar.gz
# Source1-md5:	64f6360eb986524254849930ff0a711f
Patch0:		debian-big_endian.patch
Patch1:		debian-unaligned.patch
Patch2:		name-miscompare.patch
Patch3:		aapits-linux.patch
Patch4:		asllookup-miscompare.patch
Patch5:		aapits-makefile.patch
Patch6:		re-enable-big-endian.patch
Patch7:		OPT_LDFLAGS.patch
URL:		https://acpica.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	sed >= 4.0
Provides:	iasl
Obsoletes:	iasl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ACPI Component Architecture - an assembler and disassembler for DSDT
tables.

%description -l pl.UTF-8
Pakiet ACPI Component Architecture zawiera asembler i disasembler do
tablic DSDT.

%prep
%setup -q -n %{name}-unix2-%{version}
tar -x --strip-components=1 -f %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%define	makeopts \\\
	HOST=_LINUX \\\
	CC="%{__cc}" \\\
	OPT_CFLAGS="%{rpmcflags}" \\\
	OPT_LDFLAGS="%{rpmcflags} %{rpmldflags}"

%{__make} %{makeopts}

%if %{with tests}
%{__make} %{makeopts} -C tests/aapits
%{__make} %{makeopts} -C tests/aapits/asl \
	ASL=$(pwd)/generate/unix/bin/iasl
%{__make} %{makeopts} -C tests/templates

cd tests

# ASL tests
./aslts.sh # relies on non-zero exit
[ $? -eq 0 ] || exit 1

# API tests
cd aapits/bin
./aapitsrun
[ $? -eq 0 ] || exit 1
cd ../..

# misc tests
#./run-misc-tests.sh $RPM_BUILD_ROOT%{_bindir} %{version}

# Template tests
cd templates
if [ -f diff.log ]; then
	if [ -s diff.log ]; then
		# implies errors occurred
		exit 1
	fi
fi
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changes.txt source/compiler/new_table.txt
%attr(755,root,root) %{_bindir}/acpibin
%attr(755,root,root) %{_bindir}/acpidump
%attr(755,root,root) %{_bindir}/acpiexec
%attr(755,root,root) %{_bindir}/acpihelp
%attr(755,root,root) %{_bindir}/acpinames
%attr(755,root,root) %{_bindir}/acpisrc
%attr(755,root,root) %{_bindir}/acpixtract
%attr(755,root,root) %{_bindir}/iasl
%changelog
* Mon Jul 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/acpica.git;a=log;h=master

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> d7d54e9
- preparations to run tests

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> b3f0bd1
- use OPT_LDFLAGS

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f3dfbd7
- add tests tarball, add patches from fedora

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 9322a90
- set $HOST env to make

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> e8495c1
- up to 20141107

* Fri Sep 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fcb656f
- up to 20140828

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> 659b344
- updated to 20131115
- use GPL-licensed sources

* Wed Feb 08 2012 Mariusz Mazur <mmazur@pld-linux.org> cc32295
- up to 20120111; stbr

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> ca54f0c
- updated to 20101209

* Tue Aug 03 2010 Bartłomiej Zimoń <cactus@pld-linux.org> d614584
- up to 20100702

* Tue Nov 24 2009 sparky <sparky@pld-linux.org> 92c5d0e
- perl is not a part of minimal builder instalation, BR: sed >= 4.0 instead
- rpmldflags

* Tue Jun 23 2009 Tomasz Pala <gotar@pld-linux.org> adb0388
- make -j1

* Tue Jun 23 2009 Tomasz Pala <gotar@pld-linux.org> 2aa493a
- upgraded to 20090521

* Wed Feb 18 2009 Karol Krenski <charles@pld-linux.org> 900d684
- BR: flex

* Thu Sep 25 2008 arvenil <arvenil@pld-linux.org> af96d9b
- up to 20080829

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 76966dd
- package acpisrc tool and some docs

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> be63225
- updated URLs
- let License mean at least something offline
- pl, cleanup

* Thu Jul 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> bcc4005
- proper license

* Thu Jul 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fa3091f
- initial

